commit:     b4474c47055c8fc6953ed613757d7e693ef40d64
Author:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 30 11:34:27 2020 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Mon Mar 30 12:20:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4474c47

app-crypt/jitterentropy: bump to 2.2.0

Package-Manager: Portage-2.3.69, Repoman-2.3.14
Signed-off-by: Göktürk Yüksek <gokturk <AT> gentoo.org>

 app-crypt/jitterentropy/Manifest                   |  1 +
 app-crypt/jitterentropy/jitterentropy-2.2.0.ebuild | 37 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/app-crypt/jitterentropy/Manifest b/app-crypt/jitterentropy/Manifest
index 396543ac110..a97658eb062 100644
--- a/app-crypt/jitterentropy/Manifest
+++ b/app-crypt/jitterentropy/Manifest
@@ -1 +1,2 @@
 DIST jitterentropy-2.1.2.tar.gz 24112 BLAKE2B 
9328fcc6ac09b79765d53248e4d6d01be47348c6f22f660175de888a884ea9e65253cc2e6fd3620a96f69dd0051b97ea3c46462a24c8e0c94d2bba19afab059e
 SHA512 
b1ba2fe22c6b7d5bca64bb1611f2da3f53f1979e515a16141ccf330e3ca27a6944f0e45f0db57f4e3963a30ea4b34920ce9173f9c4f3ea82b820dc739cbd95f4
+DIST jitterentropy-2.2.0.tar.gz 25556 BLAKE2B 
d0a8faa9131e9fd5712fad4179725ac29ba813e0d77e5ae9dc905841b92f67fc51e79c407142b2e8c3473f92a59a5b03f03d2013bd7e5d1ae07110da52461255
 SHA512 
4701a7e0a82ee583cbde5edfdacb737a5f588b42c61b16434b5a11bdfb1a108e7b9df8b8b38d9e92290e702b33f2ae8774580d6a71e6e8ac3af295ffc8ff5ff9

diff --git a/app-crypt/jitterentropy/jitterentropy-2.2.0.ebuild 
b/app-crypt/jitterentropy/jitterentropy-2.2.0.ebuild
new file mode 100644
index 00000000000..f4a14654400
--- /dev/null
+++ b/app-crypt/jitterentropy/jitterentropy-2.2.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Hardware RNG based on CPU timing jitter"
+HOMEPAGE="https://github.com/smuellerDD/jitterentropy-library";
+SRC_URI="https://github.com/smuellerDD/jitterentropy-library/archive/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~x86"
+IUSE="static-libs"
+
+S="${WORKDIR}/${PN}-library-${PV}"
+
+src_prepare() {
+       default
+
+       # Disable man page compression on install
+       sed -e '/\tgzip.*man/ d' -i Makefile || die
+       # Let the package manager handle stripping
+       sed -e '/\tinstall.*-s / s/-s //g' -i Makefile || die
+}
+
+src_compile() {
+       emake AR="$(tc-getAR)" CC="$(tc-getCC)"
+}
+
+src_install() {
+       emake PREFIX="${EPREFIX}/usr" \
+                 LIBDIR="$(get_libdir)" \
+                 DESTDIR="${D}" install
+       use static-libs && dolib.a lib${PN}.a
+}

Reply via email to